<?php
/**
 * A HubPing iterator
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class HubPingIterator extends BaseIterator implements Iterator {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$iteratorInstance		An instance of a Iterator class
	 */
	public static final function createHubPingIterator () {
		// Get new instance
		$iteratorInstance = new HubPingIterator();

		// Return the prepared instance
		return $iteratorInstance;
	}

	/**
	 * Getter for current value from group or generic
	 *
	 * @return	$current	Current value in iteration
	 */
	public function current () {
		// Default is null
		$current = NULL;

		$this->partialStub('Please implement this method.');

		// Return it
		return $current;
	}

	/**
	 * Getter for key from group or generic
	 *
	 * @return	$key	Current key in iteration
	 */
	public function key () {
		// Default is null
		$key = NULL;

		$this->partialStub('Please implement this method.');

		// Return it
		return $key;
	}

	/**
	 * Advances to the next entry
	 *
	 * @return	void
	 */
	public function next () {
		$this->partialStub('Please implement this method.');
	}

	/**
	 * Rewinds to the beginning of the iteration
	 *
	 * @return	void
	 */
	public function rewind () {
		$this->partialStub('Please implement this method.');
	}

	/**
	 * Checks whether the current entry is valid (not at the end of the list)
	 *
	 * @return	void
	 */
	public function valid () {
		$this->partialStub('Please implement this method.');
	}
}

// [EOF]
?>
